Version : interface de ligne de commande EB 3.14.6 le 11 septembre 2018 - AWS Elastic Beanstalk

Les traductions sont fournies par des outils de traduction automatique. En cas de conflit entre le contenu d'une traduction et celui de la version originale en anglais, la version anglaise prévaudra.

Version : interface de ligne de commande EB 3.14.6 le 11 septembre 2018

L'interface de ligne de commande (EB CLI) AWS Elastic Beanstalk dispose d'une nouvelle version avec des correctifs de bogues et de nouvelles fonctionnalités.

Date de parution : 11 septembre 2018

Modifications

Voici une liste des modifications importantes de cette édition.

Modifier Commandes concernées Description

Correctif de bogue : communication interrompue

Toutes les commandes

Bogue : l'interface de ligne de commande EB possédait une dépendance envers un comportement non pris en charge de botocore. Ce comportement a été modifié à la suite de la dernière édition de botocore 1.12. Cette modification empêchait l'interface de ligne de commande EB de communiquer avec les services AWS. Nous avons corrigé ce problème le 7 septembre 2018 avec la version 3.14.5 de l'interface de ligne de commande EB, qui limitait la dépendance du package botocore aux versions postérieures à la version 1.12. Toutefois, ce correctif a annulé la compatibilité avec la version botocore requise par l'AWS CLI, cela rendant difficile l'exécution des deux outils dans le même environnement.

Correctif : La nouvelle version (EB CLI 3.14.6) requiert une nouvelle version de botocore, la version 1.12.1, qui est compatible avec les dernières versions de l'interface de ligne de commande EB et de l'AWS CLI. Les deux outils peuvent désormais fonctionner correctement dans le même environnement.

Note

Nous vous encourageons vivement à effectuer une mise à niveau vers la dernière version de l'interface de ligne de commande EB. Si vous devez continuer à utiliser une version antérieure à la version 3.14.5, exécutez la commande suivante :

$ pip install 'botocore<1.12'

Correctif de bogue : dépendance de package tabulate

Code autre que le code de l'interface de ligne de commande EB

Bogue : L'interface de ligne de commande EB possédait une dépendance envers une ancienne version du package Python tabulate. Cela créait une incompatibilité de dépendances avec les autres packages Python utilisés par certains clients.

Correctif : L'interface de ligne de commande EB n'utilise plus ce package. Nous avons totalement supprimé la dépendance.

Correctif de bogue : version de package urllib3

Toutes les commandes

Bogue : L'interface de ligne de commande EB possédait deux packages de dépendance avec des restrictions de version incompatibles avec ses propres dépendances sur un troisième package, urllib3. Lors de l'installation de l'interface de ligne de commande EB, pip ne fonctionnait pas bien et installait une version de urllib3 qui était incompatible avec l'une des dépendances de l'interface de ligne de commande EB. Cela provoquait l'échec de certaines commandes eb chez certains clients.

Correctif : Nous limitons désormais la version de urllib3 à une plage qui est compatible avec toutes les dépendances de l'interface de ligne de commande EB.

Nouveau : --timeout pour plus de commandes

eb platform create

eb ssh --setup

L'interface de ligne de commande EB prend désormais en charge l'argument --timeout avec ces deux commandes. Comme c'est le cas avec les autres commandes à exécution longue, cet argument vous permet de contrôler au bout de combien de temps d'interrogation du service Elastic Beanstalk concernant un événement réussi l'interface de ligne de commande EB affiche un dépassement de délai.